Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.compute_jobs.create_job(idempotency_key="<value>", compute={
"accelerator": "<value>",
"ephemeral_disk_gb": 166801,
"gpu_count": 580753,
}, container={
"image": "https://picsum.photos/seed/vABc84qaab/2231/967",
"script_b64": "<value>",
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.computeJobs.createJob({
idempotencyKey: "<value>",
computeJobCreate: {
compute: {
accelerator: "<value>",
ephemeralDiskGb: 166801,
gpuCount: 580753,
},
container: {
image: "https://picsum.photos/seed/vABc84qaab/2231/967",
scriptB64: "<value>",
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.ComputeJobs.CreateJobAsync(
idempotencyKey: "<value>",
body: new ComputeJobCreate() {
Compute = new ComputeRequest() {
Accelerator = "<value>",
EphemeralDiskGb = 166801,
GpuCount = 580753,
},
Container = ComputeContainerCreateUnion.CreateComputeContainerCreate2(
new ComputeContainerCreate2() {
Image = "https://picsum.photos/seed/vABc84qaab/2231/967",
ScriptB64 = "<value>",
}
),
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/compute/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"compute": {
"accelerator": "<string>",
"ephemeral_disk_gb": 2,
"gpu_count": 4,
"interconnect": "<string>"
},
"container": {
"command": [
"<string>"
],
"image": "<string>",
"env": {},
"ports": [
{
"container_port": 32768,
"name": "<string>"
}
],
"script_b64": "<string>",
"secret_env": {}
},
"access": {
"ssh_public_key": "<string>"
},
"limits": {
"max_cost_usd": 123,
"max_runtime_hours": 123
},
"name": "<string>",
"placement": {
"providers": [
"<string>"
]
}
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
compute: {
accelerator: '<string>',
ephemeral_disk_gb: 2,
gpu_count: 4,
interconnect: '<string>'
},
container: {
command: ['<string>'],
image: '<string>',
env: {},
ports: [{container_port: 32768, name: '<string>'}],
script_b64: '<string>',
secret_env: {}
},
access: {ssh_public_key: '<string>'},
limits: {max_cost_usd: 123, max_runtime_hours: 123},
name: '<string>',
placement: {providers: ['<string>']}
})
};
fetch('https://apigw.mka1.com/api/v1/compute/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accrued_usd": 123,
"compute": {
"accelerator": "<string>",
"ephemeral_disk_gb": 2,
"gpu_count": 4,
"interconnect": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"endpoints": [
{
"host": "<string>",
"name": "<string>",
"port": 123,
"protocol": "<string>",
"url": "<string>"
}
],
"id": "<string>",
"limits": {
"max_cost_usd": 123,
"max_runtime_hours": 123
},
"reason": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"started_at": "2023-11-07T05:31:56Z",
"terminal_at": "2023-11-07T05:31:56Z",
"allocated_at": "2023-11-07T05:31:56Z",
"hardware": {
"accelerator": "<string>",
"gpu_count": 123,
"gpu_memory_gb": 123,
"interconnect": "<string>"
},
"name": "<string>",
"price_usd_hr": 123,
"provider": "<string>",
"ssh": {
"command": "<string>",
"host": "<string>",
"port": 123,
"user": "<string>"
},
"exit_code": 123
}{
"accrued_usd": 123,
"compute": {
"accelerator": "<string>",
"ephemeral_disk_gb": 2,
"gpu_count": 4,
"interconnect": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"endpoints": [
{
"host": "<string>",
"name": "<string>",
"port": 123,
"protocol": "<string>",
"url": "<string>"
}
],
"id": "<string>",
"limits": {
"max_cost_usd": 123,
"max_runtime_hours": 123
},
"reason": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"started_at": "2023-11-07T05:31:56Z",
"terminal_at": "2023-11-07T05:31:56Z",
"allocated_at": "2023-11-07T05:31:56Z",
"hardware": {
"accelerator": "<string>",
"gpu_count": 123,
"gpu_memory_gb": 123,
"interconnect": "<string>"
},
"name": "<string>",
"price_usd_hr": 123,
"provider": "<string>",
"ssh": {
"command": "<string>",
"host": "<string>",
"port": 123,
"user": "<string>"
},
"exit_code": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Compute Jobs
Crear un trabajo
POST
/
api
/
v1
/
compute
/
jobs
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.compute_jobs.create_job(idempotency_key="<value>", compute={
"accelerator": "<value>",
"ephemeral_disk_gb": 166801,
"gpu_count": 580753,
}, container={
"image": "https://picsum.photos/seed/vABc84qaab/2231/967",
"script_b64": "<value>",
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.computeJobs.createJob({
idempotencyKey: "<value>",
computeJobCreate: {
compute: {
accelerator: "<value>",
ephemeralDiskGb: 166801,
gpuCount: 580753,
},
container: {
image: "https://picsum.photos/seed/vABc84qaab/2231/967",
scriptB64: "<value>",
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.ComputeJobs.CreateJobAsync(
idempotencyKey: "<value>",
body: new ComputeJobCreate() {
Compute = new ComputeRequest() {
Accelerator = "<value>",
EphemeralDiskGb = 166801,
GpuCount = 580753,
},
Container = ComputeContainerCreateUnion.CreateComputeContainerCreate2(
new ComputeContainerCreate2() {
Image = "https://picsum.photos/seed/vABc84qaab/2231/967",
ScriptB64 = "<value>",
}
),
}
);
// handle responseAutorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Minimum string length:
1Optional external end-user identifier forwarded by the API gateway.
Cuerpo
application/json
Cree el cuerpo para un trabajo. Los trabajos aceptan los mismos campos que los servicios, excepto el bloque de servicio.
Respuesta
Reproducción idempotente equivalente
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
requested, allocating, provisioning, running, ready, finalizing, terminating, succeeded, failed, terminated Show child attributes
Show child attributes
Identificador opaco del proveedor de cómputo. Los valores admitidos dependen de la implementación.
Minimum string length:
1Show child attributes
Show child attributes
¿Esta página le ayudó?
⌘I